知行合一

linux:/lib/libc.so.6: version `glibc_2.7′ not found

刚用户反映服务器rar版本低,下了个4.0的运行提示

/lib/libc.so.6: version `GLIBC_2.7′ not found

升级了centos的glibc库
yum -y update glibc
问题依旧。用命令查看glibc库的信息
rpm -qi glibc
显示系统的glibc库版本为2.5

在CentOS中用更新命令到2.5已经是最新版本了,只好手动下载 glibc 2.7 的源码包编译安装更新:

地址:http://ftp.gnu.org/pub/gnu/glibc/glibc-2.7.tar.gz
cd /usr/local/src
wget http://ftp.gnu.org/pub/gnu/glibc/glibc-2.7.tar.gz
tar zxvf glibc-2.7.tar.gz
glibc-2.7/configure #执行configure命令时不能进到glibc-2.7文件夹里面,否则无法执行
cd glibc-2.7
make && make install

赞(0) 打赏
未经允许不得转载:嘟嘟鱼 » linux:/lib/libc.so.6: version `glibc_2.7′ not found
分享到: 更多 (0)

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏